## ros-melodic-rosbag-storage 1.14.10

=== debian/changelog ===
ros-melodic-rosbag-storage (1.14.10-1stretch) stretch; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.9-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.8-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.6-1stretch) stretch; urgency=high

  * fix brief description comments after members (#1920 <https://github.com/ros/ros_comm/issues/1920>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.4-1stretch) stretch; urgency=high

  * catch polymorphic exceptions by reference (#1887 <https://github.com/ros/ros_comm/issues/1887>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * use find_library for abs path of crypto and gpgme libraries (#1867 <https://github.com/ros/ros_comm/issues/1867>)
  * remove unnecessary writing to map in write only mode (#1798 <https://github.com/ros/ros_comm/issues/1798>)
  * check for fclose returning 0 (#1750 <https://github.com/ros/ros_comm/issues/1750>)
  * fix windows build (#1687 <https://github.com/ros/ros_comm/issues/1687>)
  * move bag encryption plugins into separate library (#1499 <https://github.com/ros/ros_comm/issues/1499>)
  * modernization: replaced BOOST_FOREACH with range-based for loops, used algorithm, where appropriated (#1640 <https://github.com/ros/ros_comm/issues/1640>)
  * fix dangeling if-else (#1637 <https://github.com/ros/ros_comm/issues/1637>)
  * fix infinite loop in rosbag buffer resize (#1623 <https://github.com/ros/ros_comm/issues/1623>)
  * update CMakeLists.txt in rosbag_storage (#1618 <https://github.com/ros/ros_comm/issues/1618>)
  * fix various test problems (#1601 <https://github.com/ros/ros_comm/issues/1601>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rosbag-storage (1.14.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.1-1stretch) stretch; urgency=high

  * add in -D_FILE_OFFSET_BITS=64 on machines less than 64-bits (#1406 <https://github.com/ros/ros_comm/issues/1406>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.0-1stretch) stretch; urgency=high

  * specialize BagCallbackT for MessageInstance (#1374 <https://github.com/ros/ros_comm/issues/1374>)
  * fix compiler warning of test_aes_encryptor (#1376 <https://github.com/ros/ros_comm/issues/1376>)
  * implement bag encryption/decryption (#1206 <https://github.com/ros/ros_comm/issues/1206>)
  * use boost::shared_ptr to fix memory leak (#1373 <https://github.com/ros/ros_comm/issues/1373>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.6-1stretch) stretch; urgency=high

  * performance improvement for lower/upper bound (#1223 <https://github.com/ros/ros_comm/issues/1223>)
  * use namespaced logging macros of console_bridge instead of deprecated macros (#1239 <https://github.com/ros/ros_comm/issues/1239>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rosbag-storage (1.13.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rosbag-storage (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.3-1stretch) stretch; urgency=high

  * fix corrupted messages when reopening a rosbag with a different file (#1176 <https://github.com/ros/ros_comm/issues/1176>)
  * addd rosbag::Bag::isOpen (#1190 <https://github.com/ros/ros_comm/issues/1190>)
  * enable rosbag::Bag move operations if compiler support is available (#1189 <https://github.com/ros/ros_comm/issues/1189>)
  * check if bzfile_ and lz4s_ handle is valid before reading/writing/closing (#1183 <https://github.com/ros/ros_comm/issues/1183>)
  * fix an out of bounds read in rosbag::View::iterator::increment() (#1191 <https://github.com/ros/ros_comm/issues/1191>)
  * replace usage deprecated console_bridge macros (#1149 <https://github.com/ros/ros_comm/issues/1149>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.2-1stretch) stretch; urgency=high

  * fix whitespace warnings with g++ 7 (#1138 <https://github.com/ros/ros_comm/issues/1138>)
  * remove deprecated dynamic exception specifications (#1137 <https://github.com/ros/ros_comm/issues/1137>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.1-1stretch) stretch; urgency=high

  * fix buffer overflow vulnerability (#1092 <https://github.com/ros/ros_comm/issues/1092>)
  * fix rosbag::View::iterator copy assignment operator (#1017 <https://github.com/ros/ros_comm/issues/1017>)
  * fix open mode on Windows (#1005 <https://github.com/ros/ros_comm/pull/1005>)


## ros-melodic-rosbag-storage 1.14.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(rosbag_storage)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED COMPONENTS cpp_common pluginlib roscpp_serialization roscpp_traits rostime roslz4 std_msgs)
find_package(Boost REQUIRED COMPONENTS date_time filesystem program_options regex)
find_package(BZip2 REQUIRED)

catkin_package(
  CFG_EXTRAS rosbag_storage-extras.cmake
  INCLUDE_DIRS include
  LIBRARIES rosbag_storage
  CATKIN_DEPENDS pluginlib roslz4
  DEPENDS console_bridge Boost
)

# Support large bags (>2GB) on 32-bit systems
add_definitions(-D_FILE_OFFSET_BITS=64)

include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${BZIP2_INCLUDE_DIR})
add_definitions(${BZIP2_DEFINITIONS})

set(AES_ENCRYPT_SOURCE "")
set(AES_ENCRYPT_LIBRARIES "")
if(NOT WIN32)
  set(AES_ENCRYPT_SOURCE "src/aes_encryptor.cpp" "src/gpgme_utils.cpp")
  find_library(GPGME_LIBRARY
    NAMES "gpgme"
    PATHS /usr/local/lib)
  find_library(CRYPTO_LIBRARY
    NAMES "crypto"
    PATHS /usr/local/lib)
  set(AES_ENCRYPT_LIBRARIES ${GPGME_LIBRARY} ${CRYPTO_LIBRARY})
endif()

add_library(rosbag_storage
  src/bag.cpp
  src/bag_player.cpp
  src/buffer.cpp
  src/bz2_stream.cpp
  src/lz4_stream.cpp
  src/chunked_file.cpp
  src/message_instance.cpp
  src/query.cpp
  src/stream.cpp
  src/view.cpp
  src/uncompressed_stream.cpp
)
target_link_libraries(rosbag_storage ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${BZIP2_LIBRARIES} ${console_bridge_LIBRARIES} ${AES_ENCRYPT_LIBRARIES})
if(WIN32)
  # On Windows, default library runtime output set to CATKIN_GLOBAL_BIN_DESTINATION,
  # change it back to CATKIN_PACKAGE_LIB_DESTINATION to match the library path described in plugin description file
  set_target_properties(rosbag_storage PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION})
endif()

# Install library
install(TARGETS rosbag_storage
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

add_library(rosbag_default_encryption_plugins
  ${AES_ENCRYPT_SOURCE}
  src/no_encryptor.cpp
)

target_link_libraries(rosbag_default_encryption_plugins rosbag_storage ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${AES_ENCRYPT_LIBRARIES})

install(TARGETS rosbag_default_encryption_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES encryptor_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(NOT WIN32)
  if(CATKIN_ENABLE_TESTING)
    find_package(rostest)

    catkin_add_gtest(test_aes_encryptor test/test_aes_encryptor.cpp src/gpgme_utils.cpp
      WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/test)
    if(TARGET test_aes_encryptor)
      target_link_libraries(test_aes_encryptor rosbag_storage ${BZIP2_LIBRARIES}  ${AES_ENCRYPT_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
    endif()
  endif()
endif()

=== debian/changelog ===
ros-melodic-rosbag-storage (1.14.13-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-melodic-rosbag-storage (1.14.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.10-1bionic) bionic; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.6-1bionic) bionic; urgency=high

  * fix brief description comments after members (#1920 <https://github.com/ros/ros_comm/issues/1920>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.4-1bionic) bionic; urgency=high

  * catch polymorphic exceptions by reference (#1887 <https://github.com/ros/ros_comm/issues/1887>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * use find_library for abs path of crypto and gpgme libraries (#1867 <https://github.com/ros/ros_comm/issues/1867>)
  * remove unnecessary writing to map in write only mode (#1798 <https://github.com/ros/ros_comm/issues/1798>)
  * check for fclose returning 0 (#1750 <https://github.com/ros/ros_comm/issues/1750>)
  * fix windows build (#1687 <https://github.com/ros/ros_comm/issues/1687>)
  * move bag encryption plugins into separate library (#1499 <https://github.com/ros/ros_comm/issues/1499>)
  * modernization: replaced BOOST_FOREACH with range-based for loops, used algorithm, where appropriated (#1640 <https://github.com/ros/ros_comm/issues/1640>)
  * fix dangeling if-else (#1637 <https://github.com/ros/ros_comm/issues/1637>)
  * fix infinite loop in rosbag buffer resize (#1623 <https://github.com/ros/ros_comm/issues/1623>)
  * update CMakeLists.txt in rosbag_storage (#1618 <https://github.com/ros/ros_comm/issues/1618>)
  * fix various test problems (#1601 <https://github.com/ros/ros_comm/issues/1601>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rosbag-storage (1.14.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.1-1bionic) bionic; urgency=high

  * add in -D_FILE_OFFSET_BITS=64 on machines less than 64-bits (#1406 <https://github.com/ros/ros_comm/issues/1406>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.0-1bionic) bionic; urgency=high

  * specialize BagCallbackT for MessageInstance (#1374 <https://github.com/ros/ros_comm/issues/1374>)
  * fix compiler warning of test_aes_encryptor (#1376 <https://github.com/ros/ros_comm/issues/1376>)
  * implement bag encryption/decryption (#1206 <https://github.com/ros/ros_comm/issues/1206>)
  * use boost::shared_ptr to fix memory leak (#1373 <https://github.com/ros/ros_comm/issues/1373>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.6-1bionic) bionic; urgency=high

  * performance improvement for lower/upper bound (#1223 <https://github.com/ros/ros_comm/issues/1223>)
  * use namespaced logging macros of console_bridge instead of deprecated macros (#1239 <https://github.com/ros/ros_comm/issues/1239>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rosbag-storage (1.13.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rosbag-storage (1.13.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.3-1bionic) bionic; urgency=high

  * fix corrupted messages when reopening a rosbag with a different file (#1176 <https://github.com/ros/ros_comm/issues/1176>)
  * addd rosbag::Bag::isOpen (#1190 <https://github.com/ros/ros_comm/issues/1190>)
  * enable rosbag::Bag move operations if compiler support is available (#1189 <https://github.com/ros/ros_comm/issues/1189>)
  * check if bzfile_ and lz4s_ handle is valid before reading/writing/closing (#1183 <https://github.com/ros/ros_comm/issues/1183>)
  * fix an out of bounds read in rosbag::View::iterator::increment() (#1191 <https://github.com/ros/ros_comm/issues/1191>)
  * replace usage deprecated console_bridge macros (#1149 <https://github.com/ros/ros_comm/issues/1149>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.2-1bionic) bionic; urgency=high

  * fix whitespace warnings with g++ 7 (#1138 <https://github.com/ros/ros_comm/issues/1138>)
  * remove deprecated dynamic exception specifications (#1137 <https://github.com/ros/ros_comm/issues/1137>)



=== debian/control ===
Source: ros-melodic-rosbag-storage
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libbz2-dev, libconsole-bridge-dev, libgpgme-dev, libssl-dev, ros-melodic-catkin, ros-melodic-cpp-common (>= 0.3.17), ros-melodic-pluginlib, ros-melodic-roscpp-serialization, ros-melodic-roscpp-traits (>= 0.3.17), ros-melodic-roslz4, ros-melodic-rostest, ros-melodic-rostime, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rosbag-storage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libbz2-dev, libconsole-bridge-dev, libgpgme-dev, libssl-dev, ros-melodic-cpp-common (>= 0.3.17), ros-melodic-pluginlib, ros-melodic-roscpp-serialization, ros-melodic-roscpp-traits (>= 0.3.17), ros-melodic-roslz4, ros-melodic-rostime
Description: This is a set of tools for recording from and playing back ROS message without relying on the ROS client library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosbag-storage//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
